Subject: bug#26532: Re: bug#26532: [PATCH] gnu: update you-get version

From: Marius Bakke <[email-masked]>
Date: Mon, 17 Apr 2017 17:14:58 +0200

Feng Shu <[email-masked]> writes:

> tumashu  <[email-masked]> writes:
>
> This is the updated patch, I use git-fetch instead of url-fetch for I
> want to package git-snapshot if need.

What is the rationale for packaging the git version in anticipation of
needing it later? In this case the latest release is also the latest
commit, so I don't see any compelling reason for switching to git-fetch
at this moment.

Git snapshots use more bandwidth than regular downloads (mostly due to
Guix' lack of shallow clones), and also more disk space since they
create a source derivation. They also introduce a dependency on git
which ticks in at 344.5MiB.

Note that you can also build a package from a local source code copy
with `guix build --with-source=/path/to/git/checkout you-get` in case of
emergency :)